<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateTestimonialsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: testimonials
         */
        Schema::create('testimonials', function ($table) {
            $table->increments('id');
            $table->string('title', 150)->nullable();
            $table->string('designation', 150)->nullable();
            $table->longText('image')->nullable();
            $table->longText('content')->nullable();
            $table->enum('status', [1=>'Active', 0=>'Inactive'])->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('testimonials');
    }
}
