<?php

namespace Litecms\Testimonial\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class TestimonialTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Testimonial\Models\Testimonial $testimonial)
    {
        return [
            'id'                => $testimonial->getRouteKey(),
            'key'               => [
                'public'    => $testimonial->getPublicKey(),
                'route'     => $testimonial->getRouteKey(),
            ], 
            'title'             => $testimonial->title,
            'designation'       => $testimonial->designation,
            'image'             => $testimonial->image,
            'content'           => $testimonial->content,
            'status'            => $testimonial->status,
            'url'               => [
                'public'    => trans_url('testimonial/'.$testimonial->getPublicKey()),
                'user'      => guard_url('testimonial/testimonial/'.$testimonial->getRouteKey()),
            ], 
            'status'            => trans('app.'.$testimonial->status),
            'created_at'        => format_date($testimonial->created_at),
            'updated_at'        => format_date($testimonial->updated_at),
        ];
    }
}